aboutsummaryrefslogtreecommitdiff
path: root/unicorn_mode
diff options
context:
space:
mode:
authorDominik Maier <domenukk@gmail.com>2022-09-15 17:33:07 +0200
committerDominik Maier <domenukk@gmail.com>2022-09-15 17:33:07 +0200
commit453d554fb588930bb5a005ee8f899f85ca8d8135 (patch)
treef27541eb7fd2dc133afaaf1b2d35c1a47785997b /unicorn_mode
parent9a0cee6ce174f259b2861a5d794925f46c63c8c0 (diff)
downloadAFLplusplus-453d554fb588930bb5a005ee8f899f85ca8d8135.tar.gz
Correctly multi-process unicorn builds
Diffstat (limited to 'unicorn_mode')
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index e98ddb99..a3978d9d 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -199,20 +199,20 @@ echo "[*] Installing Unicorn python bindings..."
cd unicorn/bindings/python || exit 1
if [ -z "$VIRTUAL_ENV" ]; then
echo "[*] Info: Installing python unicornafl using --user"
- $PYTHONBIN setup.py install --user --force --prefix=|| exit 1
+ THREADS=$CORES $PYTHONBIN setup.py install --user --force --prefix=|| exit 1
else
echo "[*] Info: Installing python unicornafl to virtualenv: $VIRTUAL_ENV"
- $PYTHONBIN setup.py install --force || exit 1
+ THREADS=$CORES $PYTHONBIN setup.py install --force || exit 1
fi
cd ../../../
echo "[*] Installing Unicornafl python bindings..."
cd bindings/python || exit 1
if [ -z "$VIRTUAL_ENV" ]; then
echo "[*] Info: Installing python unicornafl using --user"
- $PYTHONBIN setup.py install --user --force --prefix=|| exit 1
+ THREADS=$CORES $PYTHONBIN setup.py install --user --force --prefix=|| exit 1
else
echo "[*] Info: Installing python unicornafl to virtualenv: $VIRTUAL_ENV"
- $PYTHONBIN setup.py install --force || exit 1
+ THREADS=$CORES $PYTHONBIN setup.py install --force || exit 1
fi
echo '[*] If needed, you can (re)install the bindings from `./unicornafl/bindings/python` using `python setup.py install`'